Bug 1900030 - disruption_tests: [sig-imageregistry] Image registry remain available failing consistently
Summary: disruption_tests: [sig-imageregistry] Image registry remain available failing...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-20 16:12 UTC by Fabian von Feilitzsch
Modified: 2021-02-24 15:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:35:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25702 0 None closed Bug 1900030: Fix monitoring availability of image registry 2020-12-01 05:24:47 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:35:33 UTC

Description Fabian von Feilitzsch 2020-11-20 16:12:21 UTC
Description of problem:
Test consistently fails with error like this:

Nov 20 08:12:55.767: Image registry was unreachable during disruption for at least 2h9m58s of 1h4m59s (200%):

Nov 20 07:07:56.785 E image-registry Service stopped responding to GET requests over new connections
Nov 20 07:07:56.785 E image-registry Service stopped responding to GET requests on reused connections
Nov 20 07:07:57.716 - 3898s E image-registry Service is not responding to GET requests on reused connections
Nov 20 07:07:57.716 - 3898s E image-registry Service is not responding to GET requests over new connections

github.com/openshift/origin/test/extended/util/disruption.ExpectNoDisruption(0xc00122e6e0, 0x3fc999999999999a, 0x38bd1619299, 0xc00271a000, 0x4, 0x1e76, 0x5b29b8a, 0x30)
	github.com/openshift/origin/test/extended/util/disruption/disruption.go:285 +0x4ed
github.com/openshift/origin/test/extended/util/disruption/imageregistry.(*AvailableTest).Test(0x9026cc8, 0xc00122e6e0, 0xc001b14ae0, 0x2)
	github.com/openshift/origin/test/extended/util/disruption/imageregistry/imageregistry.go:67 +0x505
github.com/openshift/origin/test/extended/util/disruption.(*chaosMonkeyAdapter).Test(0xc0021885f0, 0xc002182d20)
	github.com/openshift/origin/test/extended/util/disruption/disruption.go:175 +0x3be
k8s.io/kubernetes/test/e2e/chaosmonkey.(*Chaosmonkey).Do.func1(0xc002182d20, 0xc00217bc90)
	k8s.io/kubernetes@v1.19.2/test/e2e/chaosmonkey/chaosmonkey.go:90 +0x6d
created by k8s.io/kubernetes/test/e2e/chaosmonkey.(*Chaosmonkey).Do
	k8s.io/kubernetes@v1.19.2/test/e2e/chaosmonkey/chaosmonkey.go:87 +0xc9

https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-upgrade/1329673809699016704#1:build-log.txt%3A8985


Version-Release number of selected component (if applicable):
4.7

Additional info:
This failure is currently blocking CI payload acceptance

Comment 6 errata-xmlrpc 2021-02-24 15:35:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.